텍스트큐브 1.8.3.x 의 문제점들

현재 이 블로그는 텍스트큐브 1.8.3.1을 사용중입니다.  1.8버전이 나오고 꽤 많이 업데이트 되었습니다. 그런데도 많은 문제점들이 보이는군요. 지금 찾아낸건 8가지 정도입니다.

1. 크롬에서 글을 쓰면 div사용

사용자 삽입 이미지
가장 마음에 안드는 것으로, Chrome 웹브라우저나 Chromium 에서 글을 쓰면 줄바꿈을 br이 아닌 div로 한다는 것입니다. 그냥 div만 쓰면 모르는데, br까지 같이 쓰거나, 의미없이 div를 추가로 쓰거나, 편집을 하다보면 div태그가 엉킨다던가, 별의 별 자잘한 문제들이 많이 생깁니다.

그리고 크롬에서는 위에 분류의 공지, 키워드 부분도 글자가 깨져 있지요.

2. 댓글에 댓글 달기 창의 높이

사용자 삽입 이미지
댓글에 댓글을 쓰는 창의 높이가 630px정도입니다. ‘완료’버튼은 600px정도 되는 위치에 있습니다. 데스크탑을 쓸 때는 별 문제가 없는데, 넷북을 쓰면 넷북의 LCD 해상도 높이가 600px인 경우가 많아서, 완료버튼이 안보입니다. -_-; 넷북에서는 패널(윈도우의 작업표시줄)을 숨기지 않으면 댓글에 댓글을 달 수가 없게 됩니다.

3. 수정할때 본문이 사라짐

사용자 삽입 이미지
유투브 플래시를 자주 사용하는데, 플래시를 삽입한 글을 수정하려고 하면 본문이 사라져서 안보입니다. edit버튼을 눌러서 HTML태그 편집을 하려고 해도 안보입니다.

4. 업로드 파일들 목록이 사라짐

사용자 삽입 이미지
파일들을 업로드 하고, 태그 편집을 시작하면 업로드된 목록이 사라져버립니다. 글을 저장하고 다시 불러오면 원상태로 돌아옵니다.

5. 본문을 입력하라는 메시지

사용자 삽입 이미지
본문을 입력했는데도 저장버튼을 누르면 본문을 입력해달라는 글이 뜹니다. 이 문제가 생기면 글이 저장이 안되서 다시 써야 합니다. -_-;

6. 저장이 안됨

저장하기 버튼을 눌렀는데, 중간에 저장된 내용까지만 저장되고, 그 이후로는 갱신이 안되는 경우가 있습니다. 이래서 날린 글이 2개나 됩니다 -_-;

7. 업로드는 왜 두번 눌러야 하는가?

파일 업로드할때 ‘업로드’라는 글자를 눌러 파일 관련 입력창 부분을 열게 되는데, 그 업로드라는 글자를 처음 눌러도 아무런 반응이 없습니다. 한번 더 누르면 입력창이 열리고, 그 다음부턴 한번만 클릭해도 여닫힙니다.

8. 트랙백 보낸 목록이 없음

트랙백 보냈다는 메시지는 분명히 떴는데, 글의 트랙백 보내기 창에는 트랙백 보낸 목록은 비어 있는 경우가 있습니다.

ps.
1번, 3번, 5번과 6번 문제는 Xquared 위지윅 편집기 플러그인과의 충돌 문제인 것으로 추측됩니다. Xquared 위지윅 편집기 플러그인을 같이 사용하지 않으면 해결됩니다만, 쓰지 못할 플러그인을 왜 넣어놨..;;

글쓴이 : Draco (https://draco.pe.kr)
크리에이티브 커먼즈 라이선스 이 글은 CCL 저작자표시 3.0에 따라 원작자를 표시할 경우 자유롭게 이용할 수 있습니다.

You may also like...

10 Responses

  1. inureyes 댓글:

    아직도 문제가 왕창 남았군요… 슥슥 수정하도록 하겠습니다. ㅠ_ㅠ 프리젠테이션 레이어를 그대로 두고 코어를 갈아치우다 보니 온갖 문제가 일어나고 있는 중입니다. 흑

    1번 문제는 F5 다다다로 해결될 것 같아 보입니다. 참고해주세요~

  2. 인게이지 댓글:

    저는 댓글 알리미. 트랙백. 댓글등이 이전안되서 아직도 1.7.8대.
    덮어씌우기는 통하던데 백업받아 이전하려 그러면 안되더라구요.
    구조가 많이 바뀌어서 깨끗하게 한번에 해치우려 했더니..

  3. *아르쥬나 댓글:

    저는 웹상에서 스킨 수정이 안되던데
    계정 설정문제인지 TC의 문제인지 확인이 안되더라구요.

  4. 재성才誠 댓글:

    저도 스킨 손 본다고 노트북에 1.8.3을 설치했는데 처음엔 되더니 지금은 본문을 입력하라면서 글 저장이 안 되네요… 기존 글 수정도 안 되고, 블로그 추가도 안 됩니다… ㅠㅠ

    서버 문제인가…했는데(서버는 전혀 모르는 관계로 이 문제라면 GG ㅋ)… 1.7.x 버전을 다시 설치해야할까요… ㅠㅠ

    그나저나 라인은 무엇에 쓰는 물건인지…

    • Draco 댓글:

      플러그인중에 에디터 모듈은 “모던 위지윅 편집기”만, 포매터 모듈은 TTML포매터만 켜고 나머지 에디터나 포매터는 꺼보세요. 같이 켜 있으면 1.8이상에서는 문제를 일으키더군요.

      라인은…트위터처럼 간략하게 글을 쓰는 건가 본데..저도 안써서 잘 모르겠네요.